> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Switch Workspace



## OpenAPI

````yaml /openapi.json post /v1/auth/switch-workspace
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/auth/switch-workspace:
    post:
      tags:
        - Auth
      summary: Switch Workspace
      operationId: AuthController_switchWorkspace_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SwitchWorkspaceDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    SwitchWorkspaceDto:
      type: object
      properties:
        workspaceId:
          type: string
          minLength: 1
      required:
        - workspaceId
      additionalProperties: false

````